Boinc Android Version 7.4.49 problems

Message boards : Android : Boinc Android Version 7.4.49 problems
Message board moderation

To post messages, you must log in.

AuthorMessage
dddd

Send message
Joined: 23 Jun 16
Posts: 5
United States
Message 70376 - Posted: 23 Jun 2016, 15:11:05 UTC

I have been using the Boinc for Android from the Google Play store for quite some time now with no problems.

3 days ago one of my Androids (Samsung Galaxy S6)updated to version 7.4.49. Since that time I can not download any new WU or upload any that are already done.

The error I am getting is
"This project doesn't support computers of the type aarrch64-android-linux-gnu"
that is not a typo the error says aarrch64 and not aarch64 (I think this may be the problem).

The 3 projects that I am running and getting this error from are
World Community Grid
WUProp
rosetta

I have other Androids that did not update and they are still running just fine.
ID: 70376 · Report as offensive
Profile Ageless
Volunteer moderator
Project administrator
Volunteer tester
Help desk expert
Avatar

Send message
Joined: 29 Aug 05
Posts: 12491
Netherlands
Message 70378 - Posted: 23 Jun 2016, 15:29:25 UTC - in response to Message 70376.  
Last modified: 23 Jun 2016, 15:52:16 UTC

Forwarded this to development. Not sure if this is a typo in the code, or that it's being detected like that. For the moment, return to the previous BOINC version, probably 7.4.43?

Edit: thanks to Nicolas, we found it's a typo in the code, so I presume 7.4.50 will be out by the end of the day.
Edit2: Rom added a fix and a promise he'll put a new version out later tonight.
Thanks for the report.
Jord
Please do not private message me for tech support. Use the forums for that. Tech PMs will be ignored.

quote: "Isn't the best defense always a good attack?"
ID: 70378 · Report as offensive
dddd

Send message
Joined: 23 Jun 16
Posts: 5
United States
Message 70384 - Posted: 23 Jun 2016, 20:52:22 UTC - in response to Message 70378.  

WOW! That was fast. Thanks
ID: 70384 · Report as offensive
Profile Ageless
Volunteer moderator
Project administrator
Volunteer tester
Help desk expert
Avatar

Send message
Joined: 29 Aug 05
Posts: 12491
Netherlands
Message 70397 - Posted: 24 Jun 2016, 11:01:04 UTC

https://boinc.berkeley.edu/dl/boinc_7.4.50.apk is now available, probably also via the Google Play Store if you allow alpha versions.
Jord
Please do not private message me for tech support. Use the forums for that. Tech PMs will be ignored.

quote: "Isn't the best defense always a good attack?"
ID: 70397 · Report as offensive
dddd

Send message
Joined: 23 Jun 16
Posts: 5
United States
Message 70402 - Posted: 24 Jun 2016, 12:29:22 UTC - in response to Message 70397.  

I have installed the new software 7.4.50 but am still getting an error. The extra "r" has dropped from the error but I am getting the new error from all 3 projects.

"This project doesn't support computers of the type aarch64-android-linux-gnu"
ID: 70402 · Report as offensive
Richard Haselgrove
Volunteer moderator
Volunteer tester
Help desk expert

Send message
Joined: 5 Oct 06
Posts: 2724
United Kingdom
Message 70403 - Posted: 24 Jun 2016, 12:40:37 UTC - in response to Message 70402.  

Also reported at SETI, so that makes four projects.

Won't the projects have to update their own local server software, too, before they can service the new type?
ID: 70403 · Report as offensive
Profile Ageless
Volunteer moderator
Project administrator
Volunteer tester
Help desk expert
Avatar

Send message
Joined: 29 Aug 05
Posts: 12491
Netherlands
Message 70407 - Posted: 24 Jun 2016, 13:32:46 UTC

Apparently the only available Android applications are 32bit, so the answer by the server is correct, it does not have 64bit applications. I saw Juha reported that to the list already.
Jord
Please do not private message me for tech support. Use the forums for that. Tech PMs will be ignored.

quote: "Isn't the best defense always a good attack?"
ID: 70407 · Report as offensive
dddd

Send message
Joined: 23 Jun 16
Posts: 5
United States
Message 70416 - Posted: 24 Jun 2016, 14:27:42 UTC - in response to Message 70407.  

I find it odd that I have been successfully processing tasks for about a year using this phone to then be told that that there is nothing available for it.

It is what it is, just odd to me.
ID: 70416 · Report as offensive
Profile Ageless
Volunteer moderator
Project administrator
Volunteer tester
Help desk expert
Avatar

Send message
Joined: 29 Aug 05
Posts: 12491
Netherlands
Message 70417 - Posted: 24 Jun 2016, 14:38:20 UTC - in response to Message 70416.  

The earlier client asked for something like arm-unknown-linux-gnueabihf or arm-android-linux-gnu work, both of which are 32bit. The 64 in aarch64 dictates that the client asks for 64bit applications, something that the projects don't have.

The client should be able to ask for 32bit work if 64bit work is not available and it doesn't do that at this time. So that's something that the developers have to look into.

You can still return to 7.4.43, which is the normal one available from the Google Play Store.
Jord
Please do not private message me for tech support. Use the forums for that. Tech PMs will be ignored.

quote: "Isn't the best defense always a good attack?"
ID: 70417 · Report as offensive
dddd

Send message
Joined: 23 Jun 16
Posts: 5
United States
Message 70428 - Posted: 24 Jun 2016, 17:54:38 UTC - in response to Message 70417.  

Yes, thank you. I have returned to 7.4.43 and am processing data again.

Thank you for your time with this.
ID: 70428 · Report as offensive
Profile Ageless
Volunteer moderator
Project administrator
Volunteer tester
Help desk expert
Avatar

Send message
Joined: 29 Aug 05
Posts: 12491
Netherlands
Message 70443 - Posted: 25 Jun 2016, 12:42:24 UTC

Rom Walton, BOINC developer wrote:
Okay, I’ve pushed out a new build which will have the alt platform defined for all three 64-bit platforms supporting their 32-bit flavors.

I found evidence in the standalone toolchain that leads me to believe that both 64-bit and 32-bit executables are supported on 64-bit platforms. Namely there are both /usr/lib and /usr/lib64 directories in the virtualized sysroots. Both containing the same libraries.

I found some documentation, namely: https://developer.android.com/ndk/guides/standalone_toolchain.html#abi

Describing the preferred parameters to pass to gcc to support armeabi-v7a and an additional piece of information about a bug with the cortex-a8 processor. Applying the extra parameters seems to have cleared up the execution failures on 5 of the 13 devices Google tests us against in the play store.

I believe 7.4.51 will be a good build to get out to the public.

It is important to note that the devices Google tests us against are all ARM devices. So if anybody has an x86/x86_64/mips/mips64 device you are willing to test out the new build on, let me know how it goes.

Jord
Please do not private message me for tech support. Use the forums for that. Tech PMs will be ignored.

quote: "Isn't the best defense always a good attack?"
ID: 70443 · Report as offensive

Message boards : Android : Boinc Android Version 7.4.49 problems

Copyright © 2018 University of California. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation.